﻿FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY . .
RUN dotnet restore "Frostgate.GangHeroes.Matchmaker.WebApi/Frostgate.GangHeroes.Matchmaker.WebApi.csproj"
WORKDIR "/src/Frostgate.GangHeroes.Matchmaker.WebApi"
RUN dotnet build "Frostgate.GangHeroes.Matchmaker.WebApi.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "Frostgate.GangHeroes.Matchmaker.WebApi.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Frostgate.GangHeroes.Matchmaker.WebApi.dll"]
